<?php

/**
 * _phptemplate_variables function from the phptemplate engine. If the theme is
 * already using this function, the two instances will need to be merged
 * manually.
 * 
 * Due to the fact that conflicts can exist with this function, try working
 * around it with as much of a minimal hack as possible. The user will have to
 *   a) Rename the conflicting function to _phptemplate_variables_theme_key(),
 *      for e.g., _phptemplate_variables_garland().
 *   b) Ensure that this function is in the template.php file of the theme's
 *      directory.
 *   c) If two themes (like Garland and Minnelli) both share the same
 *      _phptemplate_variables function, then a duplicate will have to be made
 *      for each. Or in other words, in the case of Garland and Minnelli, there
 *      should be two functions - _phptemplate_variables_garland() and
 *      _phptemplate_variables_minnelli().
 */
function _phptemplate_variables($hook, $variables) {
  static $included = FALSE;

  if (!$included && !empty($variables['directory'])) {
    $file = $variables['directory'] .'/template.php';
    if (file_exists($file)) {
      include_once $file;
      $function = '_phptemplate_variables_'. $GLOBALS['theme_key'];
      if (function_exists($function)) {
        $included = TRUE;
      }
    }
  }
  if ($included) {
    $function = '_phptemplate_variables_'. $GLOBALS['theme_key'];
    $variables = $function($hook, $variables);
  }

  return node_style_return_vars($hook, $variables);
}
